=== extras/plugins/sqlformat/Makefile ===
all: clean
	zip sqlformat.zip sqlformat/*
	
clean:
	find . -name "*.pyc" -print | xargs rm -rf
