=== debian/changelog ===
crunchyfrog (0.2.0-1ubuntu) experimental; urgency=low

  * First official public release.

 -- Andi Albrecht <albrecht.andi@gmail>  Tue, 08 Apr 2008 06:27:11 +0200
 

crunchyfrog (0.2.0~beta2-1ubuntu) experimental; urgency=low

  * Many bug fixes and improvements.

 -- Andi Albrecht <albrecht.andi@gmail>  Wed, 26 Mar 2008 23:46:13 +0100
 

crunchyfrog (0.2.0-1) experimental; urgency=low

  * Initial release.

 -- Andi Albrecht <albrecht.andi@gmail>  Sat, 16 Jun 2007 18:01:15 +0200
