=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

DEB_MAKE_BUILD_TARGET    := crunchyfrog CHECK_DEPENDS=0
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/crunchyfrog/

PYVER=$(shell pyversions -vr)

include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_MANPAGES_crunchyfrog = data/crunchyfrog.1

build/crunchyfrog::
	convert -resize 32x32 $(CURDIR)/data/crunchyfrog.png $(CURDIR)/debian/crunchyfrog.xpm

binary-install/crunchyfrog::
	dh_icons
	dh_python usr/lib/crunchyfrog/cf

clean::
	rm -f debian/crunchyfrog.xpm
